Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.types
Class PrincipalInstance_c

    java.lang.Object
      polyglot.ext.jl.types.TypeObject_c
          polyglot.ext.jl.types.VarInstance_c
              jif.types.PrincipalInstance_c

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, PrincipalInstance, polyglot.types.Declaration, polyglot.types.TypeObject, polyglot.types.VarInstance, polyglot.util.Copy

    public class PrincipalInstance_c

extends polyglot.ext.jl.types.VarInstance_c
implements PrincipalInstance

An implementation of the `PrincipalInstance` interface.

See Also:
  Serialized Form

Field Summary

Fields inherited from class polyglot.ext.jl.types.VarInstance_c
`constantValue, constantValueSet, decl, flags, isConstant, name, type`

Fields inherited from class polyglot.ext.jl.types.TypeObject_c
`position, ts`

Constructor Summary
`PrincipalInstance_c(JifTypeSystem ts, polyglot.util.Position pos, ExternalPrincipal p)`

Method Summary
`ExternalPrincipal` | `principal()`
`PrincipalInstance` | `principal(ExternalPrincipal principal)`
`void` | `setType(polyglot.types.Type t)`
`java.lang.String` | `toString()`

Methods inherited from class polyglot.ext.jl.types.VarInstance_c
`constantValue, constantValueSet, declaration, equalsImpl, flags, hashCode, isCanonical, isConstant, name, setConstantValue, setDeclaration, setFlags, setName, setNotConstant, type`

Methods inherited from class polyglot.ext.jl.types.TypeObject_c
`copy, equals, position, typeSystem`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.types.VarInstance
`constantValue, constantValueSet, flags, isConstant, name, setConstantValue, setFlags, setName, setNotConstant, type`

Methods inherited from interface polyglot.types.Declaration
`declaration, setDeclaration`

Constructor Detail

### PrincipalInstance_c

    public PrincipalInstance_c(JifTypeSystem ts,
                               polyglot.util.Position pos,
                               ExternalPrincipal p)

Method Detail

### principal

    public ExternalPrincipal principal()

  Specified by:
    `principal` in interface `PrincipalInstance`

### principal

    public PrincipalInstance principal(ExternalPrincipal principal)

  Specified by:
    `principal` in interface `PrincipalInstance`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setType

    public void setType(polyglot.types.Type t)

  Specified by:
    `setType` in interface `polyglot.types.VarInstance`
  Overrides:
    `setType` in class `polyglot.ext.jl.types.VarInstance_c`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD